<?php

/*
 * Created Dec 1, 2018 - Updated: 29.10.2020
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XDinc\FThread\Entity;

use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
	
	public static function getStructure(Structure $structure)
	{
		$parent = parent::getStructure($structure);
		
		$structure->relations['FThread'] = [
			'entity' => 'XDinc\FThread:FThread',
			'type' => self::TO_ONE,
			'conditions' => 'thread_id',
			'key' => 'fthread_id',
		];
		
		return $parent;
	}
}